Skip to main content
GET
/
media-bridge
/
2026-03
/
objects
/
{mediaType}
/
{objectId}
cURL
curl --request GET \
  --url https://api.hubapi.com/media-bridge/2026-03/objects/{mediaType}/{objectId} \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "mediaType": "AUDIO",
  "title": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "detailsPageLink": "<string>",
  "duration": 123,
  "externalId": "<string>",
  "fileUrl": "<string>",
  "oembedUrl": "<string>",
  "posterUrl": "<string>",
  "thumbnailUrl": "<string>",
  "video": {
    "deeplinkUrl": "<string>",
    "fileId": 123,
    "id": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

mediaType
enum<string>
required
Available options:
AUDIO,
DOCUMENT,
IMAGE,
OTHER,
VIDEO
objectId
integer<int64>
required

Response

successful operation

createdAt
string<date-time>
required
id
string
required
mediaType
enum<string>
required
Available options:
AUDIO,
DOCUMENT,
IMAGE,
OTHER,
VIDEO
title
string
required
updatedAt
string<date-time>
required
duration
integer<int64>
externalId
string
fileUrl
string
oembedUrl
string
posterUrl
string
thumbnailUrl
string
video
object
Last modified on May 15, 2026